BaseValidator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.validator.BaseValidator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.validator
Class BaseValidator

    java.lang.Object
      org.hyperic.hq.ui.validator.BaseValidator

Direct Known Subclasses:
  IdenticalValidator

    public abstract class BaseValidator

extends java.lang.Object

This declares a common interface for validators. It is an abstract class in case we need to put common methods here.

Constructor Summary
`BaseValidator()` Creates a new instance of BaseValidator

Method Summary
`abstract boolean` | `validate(java.lang.Object bean, org.apache.commons.validator.ValidatorAction va, org.apache.commons.validator.Field field, org.apache.struts.action.ActionMessages errors, javax.servlet.http.HttpServletRequest request)` This method should be overridden to perform whatever validation locgic is necessary.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseValidator

    public BaseValidator()

  Creates a new instance of BaseValidator

Method Detail

### validate

    public abstract boolean validate(java.lang.Object bean,
                                     org.apache.commons.validator.ValidatorAction va,
                                     org.apache.commons.validator.Field field,
                                     org.apache.struts.action.ActionMessages errors,
                                     javax.servlet.http.HttpServletRequest request)

  This method should be overridden to perform whatever validation locgic is necessary.

  Parameters:
    `bean` -
    `va` -
    `field` -
    `errors` - Any errors should be stored in the ActionErrors collection.
    `request` - The current http request that is being processed.
  Returns:
    Returns true if the form is valid according to the logic in this method, false if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.